/**
 * Exception type thrown on when aborting.
 * 
 * @author Aleksandar Dragojevic aleksandar.dragojevic@epfl.ch
 */

#ifndef SWISSTM_ABORTED_EXC_H_
#define SWISSTM_ABORTED_EXC_H_

#include "constants.h"

namespace swisstm {

	struct AbortedException {
		AbortedException(int lvl = TX_NO_LEVEL) : level(lvl) {  }

		int level;
	};

}

#endif // SWISSTM_ABORTED_EXC_H_
